export interface PaletteShape {
  index: number
  idSeed: number
  type: string
  id: string
  title: string
  class: string
  width: number
  height: number
  style: Record<string, any>
  icon?: string
  iconColor?: string
}
export interface CellGeometry {
  width: number
  height: number
}
interface MxCellGeometry {
  x: number
  y: number
  width: number
  height: number
}

interface MxCell {
  id: string
  value?: string
  title?: string
  parent?: MxCell
  geometry?: MxCellGeometry
  vertex?: boolean
  edge?: boolean
  isGroup?: boolean
  style?: string
  [key: string]: any
}
interface GraphData {
  cells: {
    nodes: MxCell[]
    groups: MxCell[]
  }
  edges: MxCell[]
}
